# module Tk::Tcllib::Cursor

### Constants

PACKAGE_NAME

### Public Class Methods

cursor_display(win=None) click to toggle source

    # File lib/tkextlib/tcllib/cursor.rb, line 33
    def self.cursor_display(win=None)
      Tk::Tcllib::Cursor.not_available
    end

cursor_propagate(win, cursor) click to toggle source

    # File lib/tkextlib/tcllib/cursor.rb, line 37
    def self.cursor_propagate(win, cursor)
      Tk::Tcllib::Cursor.not_available
    end

cursor_restore(win, cursor = None) click to toggle source

    # File lib/tkextlib/tcllib/cursor.rb, line 41
    def self.cursor_restore(win, cursor = None)
      Tk::Tcllib::Cursor.not_available
    end

not_available() click to toggle source

    # File lib/tkextlib/tcllib/cursor.rb, line 29
    def self.not_available
      fail RuntimeError, "'tkextlib/tcllib/cursor' extension is not available on your current environment."
    end

package_name() click to toggle source

    # File lib/tkextlib/tcllib/cursor.rb, line 17
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/cursor.rb, line 21
    def self.package_version
      begin
        TkPackage.require('cursor')
      rescue
        ''
      end
    end